Search Linux Wireless

[PATCH] compat-drivers: Use GIT_TREE variable.

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

 



In gen-stable-release.sh stable git tree path is hardcoded.
Use GIT_TREE environment variable if specified.

Signed-off-by: Bala Shanmugam <bkamatch@xxxxxxxxxxxxxxxx>
---
 scripts/gen-stable-release.sh | 17 ++++++++++++++++-
 1 file changed, 16 insertions(+), 1 deletion(-)

diff --git a/scripts/gen-stable-release.sh b/scripts/gen-stable-release.sh
index 5a7dc5f..fee1ac7 100755
--- a/scripts/gen-stable-release.sh
+++ b/scripts/gen-stable-release.sh
@@ -21,6 +21,7 @@ RED="\033[31m"
 PURPLE="\033[35m"
 CYAN="\033[36m"
 UNDERLINE="\033[02m"
+GIT_STABLE_URL="git://git.kernel.org/pub/scm/linux/kernel/git/stable/linux-stable.git"
 
 # Note that this tree may not have the latest RC stuff, so you should also add
 # Linus' tree as a remote and fetch those objects if you want to make an RC
@@ -47,7 +48,21 @@ function usage()
 UPDATE_ARGS=""
 POSTFIX_RELEASE_TAG="-"
 
-export GIT_TREE=$HOME/$ALL_STABLE_TREE
+if [ -z $GIT_TREE ]; then
+	export GIT_TREE=$HOME/$ALL_STABLE_TREE
+	if [ ! -d $GIT_TREE ]; then
+		echo "Please tell me where your linux-stable git tree is."
+		echo "You can do this by exporting its location as follows:"
+		echo
+		echo "  export GIT_TREE=/home/$USER/linux-stable/"
+		echo
+		echo "If you do not have one you can clone the repository:"
+		echo "  git clone $GIT_STABLE_URL"
+		exit 1
+	fi
+else
+	echo "You said to use git tree at: $GIT_TREE for linux-stable"
+fi
 COMPAT_WIRELESS_DIR=$(pwd)
 COMPAT_WIRELESS_BRANCH=$(git branch | grep \* | awk '{print $2}')
 
-- 
1.7.11.4

--
To unsubscribe from this list: send the line "unsubscribe linux-wireless" in
the body of a message to majordomo@xxxxxxxxxxxxxxx
More majordomo info at  http://vger.kernel.org/majordomo-info.html


[Index of Archives]     [Linux Host AP]     [ATH6KL]     [Linux Wireless Personal Area Network]     [Linux Bluetooth]     [Linux Netdev]     [Kernel Newbies]     [Linux Kernel]     [IDE]     [Git]     [Netfilter]     [Bugtraq]     [Yosemite Hiking]     [MIPS Linux]     [ARM Linux]     [Linux RAID]

  Powered by Linux